AbstractAccessLogValve.ElapsedTimeElement (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: AbstractAccessLogValve, class: ElapsedTimeElement

# Class AbstractAccessLogValve.ElapsedTimeElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.ElapsedTimeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.ElapsedTimeElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write time taken to process the request - %D, %T.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `AbstractAccessLogValve.ElapsedTimeElement.Style`
  Style for formatting elapsed time.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElapsedTimeElement(String styleName)`
  Creates a new ElapsedTimeElement that will log the time in the specified style.
  `ElapsedTimeElement(AbstractAccessLogValve.ElapsedTimeElement.Style style)`
  Creates a new ElapsedTimeElement that will log the time in the specified style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Called to create an access log entry.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### ElapsedTimeElement

    public ElapsedTimeElement(AbstractAccessLogValve.ElapsedTimeElement.Style style)
    Creates a new ElapsedTimeElement that will log the time in the specified style.
    Parameters:
      `style` - The elapsed-time style to use.

  - ### ElapsedTimeElement

    public ElapsedTimeElement(String styleName)
    Creates a new ElapsedTimeElement that will log the time in the specified style.
    Parameters:
      `styleName` - The name of the elapsed-time style to use.

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
    Called to create an access log entry.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request